## org.hibernate.testing.async
Class ExecutableAdapter.ExceptionWrapper

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.hibernate.testing.async.ExecutableAdapter.ExceptionWrapper

All Implemented Interfaces:
  Serializable

Enclosing class:
  ExecutableAdapter

    public static class ExecutableAdapter.ExceptionWrapper

extends RuntimeException

See Also:
  Serialized Form

Constructor Summary
`ExecutableAdapter.ExceptionWrapper(Throwable cause)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ExecutableAdapter.ExceptionWrapper

    public ExecutableAdapter.ExceptionWrapper(Throwable cause)

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.